com.sun.jna.platform.win32

## Class WinDef.UCHAR

- java.lang.Object
- - java.lang.Number
  - - com.sun.jna.IntegerType
    - - com.sun.jna.platform.win32.WinDef.UCHAR

All Implemented Interfaces:
  NativeMapped, java.io.Serializable, java.lang.Comparable<WinDef.UCHAR>

Direct Known Subclasses:
  WinDef.BYTE

Enclosing interface:
  WinDef

    public static class WinDef.UCHAR
    extends IntegerType
    implements java.lang.Comparable<WinDef.UCHAR>

The Class UCHAR.

See Also:
  Serialized Form

### Field Summary

Fields
`static int` `SIZE` The Constant SIZE.

### Constructor Summary

Constructors
Constructor and Description
`UCHAR()` Instantiates a new uchar.
`UCHAR(char ch)`
`UCHAR(long value)` Instantiates a new uchar.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo(WinDef.UCHAR other)`

### Methods inherited from class com.sun.jna.IntegerType

`compare, compare, compare, doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

### Methods inherited from class java.lang.Number

`byteValue, shortValue`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### SIZE

    public static final int SIZE

The Constant SIZE.

See Also:
  Constant Field Values

### Constructor Detail

#### UCHAR

    public UCHAR()

Instantiates a new uchar.

#### UCHAR

    public UCHAR(char ch)

#### UCHAR

    public UCHAR(long value)

Instantiates a new uchar.

Parameters:
  `value` - the value

### Method Detail

#### compareTo

    public int compareTo(WinDef.UCHAR other)

Specified by:
  `compareTo` in interface `java.lang.Comparable<WinDef.UCHAR>`

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.